For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reindex

Deprecated

Reindex

post

Triggers indexing process of products for the tenant. The reindex works with a FULL mode - all products are reindexed.

This endpoint is marked as deprecated. Use the Creating reindex job endpoint instead.

For tenants on BATTERY_INCLUDED, the same credential validation runs before the reindex job is started.

Required scopes
This endpoint requires the following scopes:
  • : Needed to manage an index provider configuration
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

The tenant that the caller is acting upon.

Please note that this value is always lowercase.

Pattern: ^[a-z][a-z0-9]+$
Body
modestring · enumOptional

Indicates reindex mode. Supported modes: FULL.

Possible values:
Responses
204Success

No content

post/indexing/{tenant}/reindex
POST /indexing/{tenant}/reindex HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "mode": "FULL"
}

No content

Retrieving reindex jobs

get

Returns reindex jobs.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read an index provider configuration
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

The tenant that the caller is acting upon.

Please note that this value is always lowercase.

Pattern: ^[a-z][a-z0-9]+$
Query parameters
qstringOptional

A standard query parameter is used to search for specific values.

See: Standard Practices - Query parameter

pageSizeinteger · min: 1 · max: 2000Optional

The number of documents to be retrieved per page.

Default: 60
pageNumberinteger · min: 1Optional

The page number to be retrieved. The size of the pages should be specified by the pageSize parameter.

Default: 1
sortstringOptional

List of properties used to sort the results, separated by colons.

fieldsstringOptional

Fields to be returned in the response.

Header parameters
X-Total-CountbooleanOptional

Flag indicating whether the total number of retrieved results should be returned.

Responses
200

Reindex jobs are returned.

application/json
idstringOptional

Unique identifier of the reindex job.

entityTypestringOptional

Entity type which should be reindexed. It supports ORDER, PRODUCT and custom schema types.

messagestringOptional

In case if reindex job finishes with FAILURE status, the message is populated with information what was the reason of the failure.

statusstring · enumOptional

Informs about status of reindex job. PENDING means that the maximum number of parallel IN_PROGRESS jobs is reached and such job will be processed when one of current IN_PROGRESS jobs is released. PUBLISHED means that all the indexing events were emitted. SUCCESS means that all the indexing events were consumed.

Possible values:
expectedCountintegerOptional

Expected number of entities which need to be indexed.

processedCountintegerOptional

Actual number of entities which were indexed. Allows to track the progress of reindexing process.

get/indexing/{tenant}/reindex-jobs
GET /indexing/{tenant}/reindex-jobs HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "id": "6a31424ef4ddd37d108f8168",
    "status": "IN_PROGRESS",
    "entityType": "PRODUCT",
    "expectedCount": 5000,
    "processedCount": 2000,
    "metadata": {
      "createdAt": "2026-06-16T12:32:14.132Z",
      "modifiedAt": "2026-06-16T12:32:14.150Z"
    }
  }
]

Creating a reindex job

post

Triggers indexing process of given entities for the tenant. The reindex works with a FULL mode - all entities are reindexed. It returns a reindex job which allows to track the progress. The SUCCESS means that all entities events are indexed.

When the active search provider is BATTERY_INCLUDED and entityType is PRODUCT, the service validates stored credentials before creating the job. Invalid credentials return 400. If credential validation is temporarily unavailable, the request returns 502. In both cases, no job is created.

Required scopes
This endpoint requires the following scopes:
  • : Needed to manage an index provider configuration
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

The tenant that the caller is acting upon.

Please note that this value is always lowercase.

Pattern: ^[a-z][a-z0-9]+$
Body
entityTypestringRequired

Entity type which should be reindexed. It supports ORDER, PRODUCT and custom schema types.

ragbooleanOptional

Whether products should be reindexed for RAG. This property is applicable only when entityType is PRODUCT.

Default: false
Responses
200

The reindex job for given entityType was already IN_PROGRESS and it is returned.

application/json
idstringOptional

Unique identifier of the reindex job.

entityTypestringOptional

Entity type which should be reindexed. It supports ORDER, PRODUCT and custom schema types.

messagestringOptional

In case if reindex job finishes with FAILURE status, the message is populated with information what was the reason of the failure.

statusstring · enumOptional

Informs about status of reindex job. PENDING means that the maximum number of parallel IN_PROGRESS jobs is reached and such job will be processed when one of current IN_PROGRESS jobs is released. PUBLISHED means that all the indexing events were emitted. SUCCESS means that all the indexing events were consumed.

Possible values:
expectedCountintegerOptional

Expected number of entities which need to be indexed.

processedCountintegerOptional

Actual number of entities which were indexed. Allows to track the progress of reindexing process.

post/indexing/{tenant}/reindex-jobs
POST /indexing/{tenant}/reindex-jobs HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "entityType": "PRODUCT",
  "rag": true
}
{
  "id": "6a31424ef4ddd37d108f8168",
  "status": "IN_PROGRESS",
  "entityType": "PRODUCT",
  "expectedCount": 5000,
  "processedCount": 2000,
  "metadata": {
    "createdAt": "2026-06-16T12:32:14.132Z",
    "modifiedAt": "2026-06-16T12:32:14.150Z"
  }
}

Retrieving a reindex job

get

Returns reindex job.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read an index provider configuration
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstring · min: 3 · max: 16Required

The tenant that the caller is acting upon.

Please note that this value is always lowercase.

Pattern: ^[a-z][a-z0-9]+$
reindexJobIdstringRequired

Id of the reindex job.

Query parameters
fieldsstringOptional

Fields to be returned in the response.

Responses
200

Reindex job is returned.

application/json
idstringOptional

Unique identifier of the reindex job.

entityTypestringOptional

Entity type which should be reindexed. It supports ORDER, PRODUCT and custom schema types.

messagestringOptional

In case if reindex job finishes with FAILURE status, the message is populated with information what was the reason of the failure.

statusstring · enumOptional

Informs about status of reindex job. PENDING means that the maximum number of parallel IN_PROGRESS jobs is reached and such job will be processed when one of current IN_PROGRESS jobs is released. PUBLISHED means that all the indexing events were emitted. SUCCESS means that all the indexing events were consumed.

Possible values:
expectedCountintegerOptional

Expected number of entities which need to be indexed.

processedCountintegerOptional

Actual number of entities which were indexed. Allows to track the progress of reindexing process.

get/indexing/{tenant}/reindex-jobs/{reindexJobId}
GET /indexing/{tenant}/reindex-jobs/{reindexJobId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "6a31424ef4ddd37d108f8168",
  "status": "IN_PROGRESS",
  "entityType": "PRODUCT",
  "expectedCount": 5000,
  "processedCount": 2000,
  "metadata": {
    "createdAt": "2026-06-16T12:32:14.132Z",
    "modifiedAt": "2026-06-16T12:32:14.150Z"
  }
}

Last updated

Was this helpful?